Package org.apache.sysds.runtime.compress.workload

# Class OpMetadata

java.lang.Object
org.apache.sysds.runtime.compress.workload.Op
org.apache.sysds.runtime.compress.workload.OpMetadata

public class OpMetadata extends Op

## Constructor Summary

Constructors
Constructor
Description
`OpMetadata(Hop op, Hop parent)`

## Method Summary

Modifier and Type
Method
Description
`Hop`
`getParent()`

### Methods inherited from class org.apache.sysds.runtime.compress.workload.Op

`dim, getHop, isCompressedOutput, isDecompressing, isDensifying, isOverlapping, setDecompressing, setDensifying, setOverlapping, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OpMetadata

public OpMetadata(Hop op, Hop parent)

## Method Details

### getParent

public Hop getParent()